<?php
/**
 * @version $Id: hostix_api.php  2010-08-16 20:27
 * @ ValueHost Team - www.valuehost.ru $
 * @package     Joomla
 * @subpackage Content
 * @copyright  Copyright (C) 2005 - 2007 Open Source Matters. All rights reserved.
 * @license    GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

defined('_JEXEC') or die('Restricted access');

$mainframe->registerEvent('onBeforeDisplayContent','hostix_api_gethtml');

function hostix_api_gethtml(&$article, &$params, $limitstart){
	$regex = '/\[(hostix_module=.*?)\]/';
	if(preg_match($regex, $article->text, $api_params)){
		$parse_params = explode(' ', $api_params[1]);
		$hostix_params = array (
			'hostix_module' => '',
			'lang' => ''
		);
		foreach($parse_params as $param){
			$param = explode('=', $param,2);
			if (is_array($param) && count($param)==2 && isset($hostix_params[strtolower($param[0])]))
				$hostix_params[strtolower($param[0])] = strip_tags(trim(urldecode($param[1]),"\"'"));
		}
		if($hostix_params['hostix_module']==''){
			$article->text = preg_replace($regex, 'Required attribute hostix_module is not set.', $article->text);
		}else{
			$url = (($_SERVER['SERVER_PORT']=='443') ? 'https' : 'http').'://api.'.$_SERVER['HTTP_HOST'];
			if(preg_match('/^[a-z]{2}$/i',$hostix_params['lang']))
				$url .= '/'.$hostix_params['lang'];
			if($hostix_params['hostix_module']{0}!=='/')
				$url .= '/';
			$url .= $hostix_params['hostix_module'];
			$hostix_params = array(
				'width' => '100%',
				'height' => '100%',
				'scrolling' => 'no',
				'frameborder'	=> '0',
				'id' => 'hostix_api'
			);
			$article->text = preg_replace($regex, JHTML::iframe($url,'hostix_api',$hostix_params), $article->text, 1);
			$plugin = JPluginHelper::getPlugin('content', 'hostix_api');
			JHTML::script('hostix_api.js', 'plugins/content/');
			$hostix_params = new JParameter($plugin->params);
			if($hostix_params->get('full_width_block',1)){
				$doc = JFactory::getDocument();
				$doc->addStyleDeclaration('table.blog{width:100%;}');
			}
		}
	}
}
?>
